Skip to main content
GET
/
v1
/
customers
List Customers
curl --request GET \
  --url https://api.leanrails.com/v1/customers \
  --header 'Authorization: Basic <encoded-value>'
{
  "object": "list",
  "data": [
    {
      "id": "cus_xxx",
      "object": "customer",
      "livemode": false,
      "created": 1234567890,
      "merchant_id": "mer_xxx",
      "email": "jsmith@example.com",
      "name": "<string>",
      "phone": "<string>",
      "description": "<string>",
      "metadata": {}
    }
  ],
  "has_more": true,
  "url": "/v1/customers",
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Use your secret API key as the username with an empty password.

Headers

X-API-Version
string

Override the API version for this request.

Query Parameters

limit
integer
default:10

Number of objects to return (1-100).

Required range: 1 <= x <= 100
starting_after
string

Cursor for forward pagination. The ID of the last object in the previous page.

ending_before
string

Cursor for backward pagination. The ID of the first object in the previous page.

Response

A list of Customers.

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required
Example:

"/v1/customers"

next_cursor
string | null